Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/avfs-config /usr/bin/desktop-file-install imake libICE-devel libSM-devel libXt-devel libmagic-devel libopenmotif-devel libssl-devel pkgconfig(check) pkgconfig(dbus-1) pkgconfig(lua) pkgconfig(xft) rpm-build-python3 xorg-cf-files
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		worker
Version:	4.12.1
Release:	alt1_3
Summary:	File Manager for the X11

License:	GPLv2+
URL:		http://boomerangsworld.de/worker
Source0:	http://boomerangsworld.de/cms/%{name}/downloads/%{name}-%{version}.tar.bz2
Patch0:		Patch0-Fix-For-Python3.patch

BuildRequires:	desktop-file-utils
BuildRequires:	gcc-c++
BuildRequires:	libX11-devel
Source44: import.info

%description
A X11 file-manager that features low requirements and easy to access archives.

%prep
%setup -q
%patch0


#Fix Man pages(UTF-8)
for f in ChangeLog man/fr/worker.1 man/it/worker.1; do
	iconv -f ISO-8859-1 -t UTF-8 $f > $f.new && \
	touch -r $f $f.new && \
	mv $f.new $f
done

%build
%configure
%make_build

%install
%makeinstall_std

desktop-file-install	\
--delete-original	\
--dir=%{buildroot}%{_datadir}/applications	\
--remove-category="FileManager"		\
--add-category="System;FileTools"	\
%{buildroot}/%{_datadir}/applications/%{name}.desktop


%files
%doc AUTHORS ChangeLog THANKS
%doc --no-dereference COPYING
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/WorkerIcon*.xpm
%{_datadir}/metainfo/de.boomerangsworld.worker.metainfo.xml
%{_mandir}/man1/%{name}.1*
%{_mandir}/*/man1/%{name}.1*
%{_datadir}/%{name}/
%{_datadir}/appdata/%{name}.appdata.xml
%{_bindir}/%{name}


%changelog
* Sat Mar 23 2024 Igor Vlasenko <viy@altlinux.org> 4.12.1-alt1_3
- update to new release by fcimport

* Thu Aug 31 2023 Igor Vlasenko <viy@altlinux.org> 4.12.1-alt1_2
- update to new release by fcimport

* Wed Feb 22 2023 Igor Vlasenko <viy@altlinux.org> 4.11.0-alt1_2
- update to new release by fcimport

* Fri May 06 2022 Igor Vlasenko <viy@altlinux.org> 4.10.1-alt1_1
- update to new release by fcimport

* Sat Feb 05 2022 Igor Vlasenko <viy@altlinux.org> 4.9.0-alt1_2
- update to new release by fcimport

* Sat Oct 23 2021 Igor Vlasenko <viy@altlinux.org> 4.9.0-alt1_1
- update

* Mon Apr 29 2019 Igor Vlasenko <viy@altlinux.ru> 3.15.4-alt1_1
- new version

* Sun Mar 03 2019 Igor Vlasenko <viy@altlinux.ru> 3.15.2-alt1_1
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 3.3.3-alt1_6
- update to new release by fcimport

* Mon Oct 19 2015 Igor Vlasenko <viy@altlinux.ru> 3.3.3-alt1_5
- update to new release by fcimport

* Tue Sep 16 2014 Igor Vlasenko <viy@altlinux.ru> 3.3.3-alt1_3
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 3.3.3-alt1_2
- update to new release by fcimport

* Tue Apr 01 2014 Igor Vlasenko <viy@altlinux.ru> 3.3.3-alt1_1
- update to new release by fcimport

* Mon Sep 09 2013 Igor Vlasenko <viy@altlinux.ru> 2.19.2-alt1_4
- update to new release by fcimport

* Mon Apr 29 2013 Igor Vlasenko <viy@altlinux.ru> 2.19.2-alt1_3
- initial fc import

